n, q, k = map(int, input().split())
permutation = list(map(int, input().split()))
tasks = list(range(1, n + 1))

for i in range(q):
    l, r = map(int, input().split())
    sublist = tasks[l - 1:r]
    sublist.sort(key=lambda x: permutation[x - 1])
    tasks[l - 1:r] = sublist

print(tasks[k - 1])
